> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /nasdaq/quotes/screener

> Screen stocks by exchange, market cap, sector, region, and analyst recommendation

**Price:** 10 credits



## OpenAPI

````yaml /openapi/finance-markets.json post /api/nasdaq/quotes/screener
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/nasdaq/quotes/screener:
    post:
      tags:
        - /nasdaq
      summary: /nasdaq/quotes/screener
      description: >-
        Screen stocks by exchange, market cap, sector, region, and analyst
        recommendation


        **Price:** 10 credits
      operationId: __api_nasdaq_quotes_screener_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NasdaqQuotesScreenerPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NasdaqScreenerStock'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NasdaqQuotesScreenerPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        exchange:
          anyOf:
            - $ref: '#/components/schemas/NasdaqExchange'
            - type: 'null'
        market_cap:
          anyOf:
            - $ref: '#/components/schemas/NasdaqMarketCap'
            - type: 'null'
        sector:
          anyOf:
            - $ref: '#/components/schemas/NasdaqSector'
            - type: 'null'
        region:
          anyOf:
            - $ref: '#/components/schemas/NasdaqRegion'
            - type: 'null'
        recommendation:
          anyOf:
            - $ref: '#/components/schemas/NasdaqRecommendation'
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    NasdaqScreenerStock:
      properties:
        '@type':
          type: string
          default: NasdaqScreenerStock
        id:
          type: string
        name:
          type: string
        price:
          anyOf:
            - type: number
            - type: 'null'
        change:
          anyOf:
            - type: number
            - type: 'null'
        change_percent:
          anyOf:
            - type: number
            - type: 'null'
        volume:
          anyOf:
            - type: integer
            - type: 'null'
        market_cap:
          anyOf:
            - type: integer
            - type: 'null'
        sector:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        ipo_year:
          anyOf:
            - type: integer
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NasdaqExchange:
      type: string
      enum:
        - NASDAQ
        - NYSE
        - AMEX
    NasdaqMarketCap:
      type: string
      enum:
        - mega
        - large
        - mid
        - small
        - micro
        - nano
    NasdaqSector:
      type: string
      enum:
        - Basic Materials
        - Consumer Discretionary
        - Consumer Staples
        - Energy
        - Finance
        - Health Care
        - Industrials
        - Miscellaneous
        - Real Estate
        - Technology
        - Telecommunications
        - Utilities
    NasdaqRegion:
      type: string
      enum:
        - africa
        - asia
        - australia_and_south_pacific
        - caribbean
        - europe
        - middle_east
        - north_america
        - south_america
    NasdaqRecommendation:
      type: string
      enum:
        - strong_buy
        - buy
        - hold
        - sell
        - strong_sell
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````